Skip to main content
POST
/
api
/
time
Creates a new non-billable time entry.
curl --request POST \
  --url https://{install}/api/time \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entity": "<string>",
  "dated": "2023-11-07T05:31:56Z",
  "userId": "<string>",
  "nonBillableId": "<string>",
  "timeLogged": "<string>",
  "comment": "<string>",
  "tenantId": "<string>",
  "id": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "updated": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>",
  "deleted": true
}
'
{
  "entity": "<string>",
  "dated": "2023-11-07T05:31:56Z",
  "userId": "<string>",
  "nonBillableId": "<string>",
  "timeLogged": "<string>",
  "comment": "<string>",
  "tenantId": "<string>",
  "id": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "updated": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>",
  "deleted": true
}

Documentation Index

Fetch the complete documentation index at: https://ekso.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Body

The time entry to create.

entity
null | string
dated
string<date-time>
userId
string
nonBillableId
string
timeLogged
string
comment
string
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean

Response

The created time entry.

entity
null | string
dated
string<date-time>
userId
string
nonBillableId
string
timeLogged
string
comment
string
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean